Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.calendar
Class TimeSpan

    java.lang.Object
      com.tibco.bpm.web.client.model.types.calendar.TimeSpan

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, java.io.Serializable, java.lang.Comparable<TimeSpan>

Direct Known Subclasses:
  ListTimeSpan, SetTimeSpan

    public class TimeSpan

extends java.lang.Object
implements java.io.Serializable, com.google.gwt.user.client.rpc.IsSerializable, java.lang.Comparable<TimeSpan>

See Also:
  Serialized Form

Field Summary
`protected TimeHmm` | `endTime`
`protected TimeHmm` | `startTime`

Constructor Summary
`protected` | `TimeSpan()`
`protected` | `TimeSpan(TimeHmm startTime, TimeHmm endTime)`

Method Summary
`int` | `compareTo(TimeSpan o)`
`boolean` | `equals(java.lang.Object o)`
`TimeHmm` | `getEndTime()`
`float` | `getHoursInRange()`
`float` | `getHoursStart()`
`int` | `getMinutesInRange()`
`TimeHmm` | `getStartTime()`
`int` | `hashCode()`
`boolean` | `isInRange(TimeHmm timeHmm)`
`boolean` | `isOverlap(TimeSpan o)`
`boolean` | `isStartAndEndSameDay()`
`boolean` | `isValid()`
`void` | `setEndTime(TimeHmm endTime)`
`void` | `setStartTime(TimeHmm startTime)`
`java.lang.String` | `toString()`
`static TimeSpan` | `valueOf(TimeHmm startTime, TimeHmm endTime)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### startTime

    protected TimeHmm startTime

### endTime

    protected TimeHmm endTime

Constructor Detail

### TimeSpan

    protected TimeSpan()

### TimeSpan

    protected TimeSpan(TimeHmm startTime,
                       TimeHmm endTime)

Method Detail

### valueOf

    public static TimeSpan valueOf(TimeHmm startTime,
                                   TimeHmm endTime)

### getStartTime

    public TimeHmm getStartTime()

### setStartTime

    public void setStartTime(TimeHmm startTime)

### getEndTime

    public TimeHmm getEndTime()

### setEndTime

    public void setEndTime(TimeHmm endTime)

### isValid

    public boolean isValid()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(TimeSpan o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<TimeSpan>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getHoursInRange

    public float getHoursInRange()

### getMinutesInRange

    public int getMinutesInRange()

### getHoursStart

    public float getHoursStart()

### isInRange

    public boolean isInRange(TimeHmm timeHmm)

### isOverlap

    public boolean isOverlap(TimeSpan o)

### isStartAndEndSameDay

    public boolean isStartAndEndSameDay()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.